package com.usky.iot.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.iot.domain.BaseAlarmNotice;
import com.usky.common.mybatis.core.CrudService;
import com.usky.iot.domain.BaseAlarmType;
import com.usky.iot.service.vo.BaseAlarmListVO;
import com.usky.iot.service.vo.BaseAlarmTypeRequestVO;

/**
 * <p>
 * 告警通知配置 服务类
 * </p>
 *
 * @author han
 * @since 2023-09-19
 */
public interface BaseAlarmNoticeService extends CrudService<BaseAlarmNotice> {

    void add(BaseAlarmNotice baseAlarmNotice);

    void update(BaseAlarmNotice baseAlarmNotice);

    void remove(Integer id);

    CommonPage<BaseAlarmNotice> page(BaseAlarmListVO baseAlarmListVO);

    boolean checkTypeUnique(BaseAlarmNotice baseAlarmNotice);

}
